Después de actualizar Android Studio a 3.3 Canary 10 (del anterior Canary), comencé a tener problemas de sincronización con Gradle:

ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.collection:collection:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.versionedparcelable:versionedparcelable:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.documentfile:documentfile:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.loader:loader:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.print:print:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.0.6.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve org.reactivestreams:reactive-streams:1.0.0.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.2.0.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.0.6.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.collection:collection:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve org.reactivestreams:reactive-streams:1.0.2.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.documentfile:documentfile:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.loader:loader:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.print:print:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.versionedparcelable:versionedparcelable:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@debugFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.collection:collection:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.versionedparcelable:versionedparcelable:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.documentfile:documentfile:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.loader:loader:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.print:print:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.0.6.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve org.reactivestreams:reactive-streams:1.0.0.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.2.0.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve io.reactivex.rxjava2:rxjava:2.0.6.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.collection:collection:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.legacy:legacy-support-core-utils:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve org.reactivestreams:reactive-streams:1.0.2.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.annotation:annotation:1.0.0-rc01.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.documentfile:documentfile:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.loader:loader:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.print:print:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.versionedparcelable:versionedparcelable:1.0.0-rc02.
Show Details
Affected Modules: feature


ERROR: Unable to resolve dependency for ':feature@releaseFeature/compileClasspath': Could not resolve androidx.core:core:1.0.0-rc01.
Show Details
Affected Modules: feature

Mi build.gradle para el módulo "característica":

apply plugin: 'com.android.feature'

apply plugin: 'kotlin-android'

apply plugin: 'kotlin-android-extensions'

apply plugin: 'kotlin-kapt'

apply plugin: "androidx.navigation.safeargs"

android {
    compileSdkVersion 28
    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        kapt {
            arguments {
                arg("room.schemaLocation", "$projectDir/schemas".toString())
            }
        }
    }

    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }
}

repositories {
    flatDir {
        dirs 'libs'
    }
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"

    implementation project(':base')

    // Moxy
    implementation 'com.squareup:javapoet:1.11.1'
    implementation files('libs/moxy.jar')
    implementation files('libs/moxy-androidx.jar')
    implementation files('libs/moxy-android.jar')
    kapt files('libs/moxy-compiler.jar')

    // Wait till moxy will release AndroidX support
    //    implementation 'com.arello-mobile:moxy:1.5.5'
    //    implementation 'com.arello-mobile:moxy-android:1.5.5'
    //    kapt 'com.arello-mobile:moxy-compiler:1.5.5'

    // Room
    implementation "androidx.room:room-runtime:$room_version"

    kapt "androidx.room:room-compiler:$room_version"

    implementation "androidx.room:room-rxjava2:$room_version"

    // Dagger
    implementation "com.google.dagger:dagger:$dagger_version"
    kapt "com.google.dagger:dagger-compiler:$dagger_version"

    testImplementation 'junit:junit:4.12'
    testImplementation "androidx.room:room-testing:$room_version"

    androidTestImplementation 'androidx.test:runner:1.1.0-alpha4'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.0-alpha4'

}

Build.gradle para proyecto:

buildscript {
    ext {
        kotlin_version = '1.2.70'
        room_version = '2.0.0-rc01'
        dagger_version = '2.17'
        rxjava_version = '2.2.0'
        rxandroid_version = '2.1.0'
        rxkotlin_version = '2.3.0'
    }

    repositories {
        google()
        jcenter()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.3.0-alpha10'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "android.arch.navigation:navigation-safe-args-gradle-plugin:1.0.0-alpha05"
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

Dependencias:

+--- org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.2.70
|    \--- org.jetbrains.kotlin:kotlin-stdlib:1.2.70
|         +--- org.jetbrains.kotlin:kotlin-stdlib-common:1.2.70
|         \--- org.jetbrains:annotations:13.0
+--- org.jetbrains.kotlin:kotlin-stdlib:1.2.70 (*)
+--- org.jetbrains.kotlin:kotlin-stdlib-common:1.2.70
+--- org.jetbrains:annotations:13.0
+--- androidx.appcompat:appcompat:1.0.0-rc02
|    +--- androidx.annotation:annotation:1.0.0-rc02
|    +--- androidx.core:core:1.0.0-rc02
|    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    +--- androidx.collection:collection:1.0.0-rc02
|    |    |    \--- androidx.annotation:annotation:1.0.0-rc02
|    |    +--- androidx.lifecycle:lifecycle-runtime:2.0.0-rc01
|    |    |    +--- androidx.lifecycle:lifecycle-common:2.0.0-rc01
|    |    |    \--- androidx.arch.core:core-common:2.0.0-rc01
|    |    |         \--- androidx.annotation:annotation:1.0.0-rc01 -> 1.0.0-rc02
|    |    \--- androidx.versionedparcelable:versionedparcelable:1.0.0-rc02
|    |         +--- androidx.annotation:annotation:1.0.0-rc02
|    |         \--- androidx.collection:collection:1.0.0-rc02 (*)
|    +--- androidx.collection:collection:1.0.0-rc02 (*)
|    +--- androidx.cursoradapter:cursoradapter:1.0.0-rc02
|    |    \--- androidx.annotation:annotation:1.0.0-rc02
|    +--- androidx.legacy:legacy-support-core-utils:1.0.0-rc02
|    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    +--- androidx.documentfile:documentfile:1.0.0-rc02
|    |    |    \--- androidx.annotation:annotation:1.0.0-rc02
|    |    +--- androidx.loader:loader:1.0.0-rc02
|    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    +--- androidx.lifecycle:lifecycle-livedata-core:2.0.0-rc01
|    |    |    |    +--- androidx.lifecycle:lifecycle-common:2.0.0-rc01
|    |    |    |    +--- androidx.arch.core:core-common:2.0.0-rc01 (*)
|    |    |    |    \--- androidx.arch.core:core-runtime:2.0.0-rc01
|    |    |    |         +--- androidx.annotation:annotation:1.0.0-rc01 -> 1.0.0-rc02
|    |    |    |         \--- androidx.arch.core:core-common:2.0.0-rc01 (*)
|    |    |    \--- androidx.lifecycle:lifecycle-viewmodel:2.0.0-rc01
|    |    +--- androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc02
|    |    |    \--- androidx.annotation:annotation:1.0.0-rc02
|    |    \--- androidx.print:print:1.0.0-rc02
|    |         \--- androidx.annotation:annotation:1.0.0-rc02
|    +--- androidx.fragment:fragment:1.0.0-rc02
|    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    +--- androidx.legacy:legacy-support-core-ui:1.0.0-rc02
|    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    +--- androidx.legacy:legacy-support-core-utils:1.0.0-rc02 (*)
|    |    |    +--- androidx.customview:customview:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    \--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    +--- androidx.viewpager:viewpager:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    |    \--- androidx.customview:customview:1.0.0-rc02 (*)
|    |    |    +--- androidx.coordinatorlayout:coordinatorlayout:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    |    \--- androidx.customview:customview:1.0.0-rc02 (*)
|    |    |    +--- androidx.drawerlayout:drawerlayout:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    |    \--- androidx.customview:customview:1.0.0-rc02 (*)
|    |    |    +--- androidx.slidingpanelayout:slidingpanelayout:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    |    \--- androidx.customview:customview:1.0.0-rc02 (*)
|    |    |    +--- androidx.interpolator:interpolator:1.0.0-rc02
|    |    |    |    \--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    +--- androidx.swiperefreshlayout:swiperefreshlayout:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    +--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    |    \--- androidx.interpolator:interpolator:1.0.0-rc02 (*)
|    |    |    +--- androidx.asynclayoutinflater:asynclayoutinflater:1.0.0-rc02
|    |    |    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    |    |    \--- androidx.core:core:1.0.0-rc02 (*)
|    |    |    \--- androidx.cursoradapter:cursoradapter:1.0.0-rc02 (*)
|    |    +--- androidx.legacy:legacy-support-core-utils:1.0.0-rc02 (*)
|    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    +--- androidx.loader:loader:1.0.0-rc02 (*)
|    |    \--- androidx.lifecycle:lifecycle-viewmodel:2.0.0-rc01
|    +--- androidx.vectordrawable:vectordrawable:1.0.0-rc02
|    |    +--- androidx.annotation:annotation:1.0.0-rc02
|    |    \--- androidx.core:core:1.0.0-rc02 (*)
|    \--- androidx.vectordrawable:vectordrawable-animated:1.0.0-rc02
|         +--- androidx.vectordrawable:vectordrawable:1.0.0-rc02 (*)
|         \--- androidx.legacy:legacy-support-core-ui:1.0.0-rc02 (*)
+--- androidx.annotation:annotation:1.0.0-rc02
+--- androidx.core:core:1.0.0-rc02 (*)
+--- androidx.collection:collection:1.0.0-rc02 (*)
+--- androidx.lifecycle:lifecycle-runtime:2.0.0-rc01 (*)
+--- androidx.lifecycle:lifecycle-common:2.0.0-rc01
+--- androidx.arch.core:core-common:2.0.0-rc01 (*)
+--- androidx.versionedparcelable:versionedparcelable:1.0.0-rc02 (*)
+--- androidx.cursoradapter:cursoradapter:1.0.0-rc02 (*)
+--- androidx.legacy:legacy-support-core-utils:1.0.0-rc02 (*)
+--- androidx.documentfile:documentfile:1.0.0-rc02 (*)
+--- androidx.loader:loader:1.0.0-rc02 (*)
+--- androidx.lifecycle:lifecycle-livedata-core:2.0.0-rc01 (*)
+--- androidx.arch.core:core-runtime:2.0.0-rc01 (*)
+--- androidx.lifecycle:lifecycle-viewmodel:2.0.0-rc01
+--- androidx.localbroadcastmanager:localbroadcastmanager:1.0.0-rc02 (*)
+--- androidx.print:print:1.0.0-rc02 (*)
+--- androidx.fragment:fragment:1.0.0-rc02 (*)
+--- androidx.legacy:legacy-support-core-ui:1.0.0-rc02 (*)
+--- androidx.customview:customview:1.0.0-rc02 (*)
+--- androidx.viewpager:viewpager:1.0.0-rc02 (*)
+--- androidx.coordinatorlayout:coordinatorlayout:1.0.0-rc02 (*)
+--- androidx.drawerlayout:drawerlayout:1.0.0-rc02 (*)
+--- androidx.slidingpanelayout:slidingpanelayout:1.0.0-rc02 (*)
+--- androidx.interpolator:interpolator:1.0.0-rc02 (*)
+--- androidx.swiperefreshlayout:swiperefreshlayout:1.0.0-rc02 (*)
+--- androidx.asynclayoutinflater:asynclayoutinflater:1.0.0-rc02 (*)
+--- androidx.vectordrawable:vectordrawable:1.0.0-rc02 (*)
+--- androidx.vectordrawable:vectordrawable-animated:1.0.0-rc02 (*)
+--- android.arch.navigation:navigation-fragment:1.0.0-alpha05
|    +--- android.arch.navigation:navigation-runtime:1.0.0-alpha05
|    |    +--- android.arch.navigation:navigation-common:1.0.0-alpha05
|    |    |    \--- androidx.core:core:1.0.0-rc01 -> 1.0.0-rc02 (*)
|    |    \--- androidx.legacy:legacy-support-core-utils:1.0.0-rc01 -> 1.0.0-rc02 (*)
|    \--- androidx.fragment:fragment:1.0.0-rc01 -> 1.0.0-rc02 (*)
+--- android.arch.navigation:navigation-runtime:1.0.0-alpha05 (*)
+--- android.arch.navigation:navigation-common:1.0.0-alpha05 (*)
+--- android.arch.navigation:navigation-ui:1.0.0-alpha05
|    +--- android.arch.navigation:navigation-runtime:1.0.0-alpha05 (*)
|    \--- com.google.android.material:material:1.0.0-rc01 -> 1.0.0-rc02
|         +--- androidx.annotation:annotation:1.0.0-rc02
|         +--- androidx.core:core:1.0.0-rc02 (*)
|         +--- androidx.legacy:legacy-support-core-ui:1.0.0-rc02 (*)
|         +--- androidx.legacy:legacy-support-core-utils:1.0.0-rc02 (*)
|         +--- androidx.fragment:fragment:1.0.0-rc02 (*)
|         +--- androidx.transition:transition:1.0.0-rc02
|         |    +--- androidx.annotation:annotation:1.0.0-rc02
|         |    \--- androidx.core:core:1.0.0-rc02 (*)
|         +--- androidx.appcompat:appcompat:1.0.0-rc02 (*)
|         +--- androidx.cardview:cardview:1.0.0-rc02
|         |    \--- androidx.annotation:annotation:1.0.0-rc02
|         \--- androidx.recyclerview:recyclerview:1.0.0-rc02
|              +--- androidx.annotation:annotation:1.0.0-rc02
|              +--- androidx.core:core:1.0.0-rc02 (*)
|              \--- androidx.legacy:legacy-support-core-ui:1.0.0-rc02 (*)
+--- com.google.android.material:material:1.0.0-rc02 (*)
+--- androidx.transition:transition:1.0.0-rc02 (*)
+--- androidx.cardview:cardview:1.0.0-rc02 (*)
+--- androidx.recyclerview:recyclerview:1.0.0-rc02 (*)
+--- android.arch.navigation:navigation-fragment-ktx:1.0.0-alpha05
|    +--- org.jetbrains.kotlin:kotlin-stdlib:1.2.50 -> 1.2.70 (*)
|    +--- android.arch.navigation:navigation-fragment:1.0.0-alpha05 (*)
|    \--- android.arch.navigation:navigation-runtime-ktx:1.0.0-alpha05
|         +--- org.jetbrains.kotlin:kotlin-stdlib:1.2.50 -> 1.2.70 (*)
|         +--- android.arch.navigation:navigation-runtime:1.0.0-alpha05 (*)
|         \--- android.arch.navigation:navigation-common-ktx:1.0.0-alpha05
|              +--- org.jetbrains.kotlin:kotlin-stdlib:1.2.50 -> 1.2.70 (*)
|              \--- android.arch.navigation:navigation-common:1.0.0-alpha05 (*)
+--- android.arch.navigation:navigation-runtime-ktx:1.0.0-alpha05 (*)
+--- android.arch.navigation:navigation-common-ktx:1.0.0-alpha05 (*)
+--- android.arch.navigation:navigation-ui-ktx:1.0.0-alpha05
|    +--- org.jetbrains.kotlin:kotlin-stdlib:1.2.50 -> 1.2.70 (*)
|    +--- android.arch.navigation:navigation-ui:1.0.0-alpha05 (*)
|    \--- android.arch.navigation:navigation-runtime-ktx:1.0.0-alpha05 (*)
+--- androidx.core:core-ktx:1.0.0-rc02
|    +--- org.jetbrains.kotlin:kotlin-stdlib:1.2.50 -> 1.2.70 (*)
|    +--- androidx.annotation:annotation:1.0.0-rc02
|    \--- androidx.core:core:1.0.0-rc02 (*)
+--- androidx.constraintlayout:constraintlayout:1.1.3
|    \--- androidx.constraintlayout:constraintlayout-solver:1.1.3
+--- androidx.constraintlayout:constraintlayout-solver:1.1.3
+--- io.reactivex.rxjava2:rxjava:2.2.0
|    \--- org.reactivestreams:reactive-streams:1.0.2
+--- org.reactivestreams:reactive-streams:1.0.2
+--- io.reactivex.rxjava2:rxandroid:2.1.0
|    \--- io.reactivex.rxjava2:rxjava:2.2.0 (*)
+--- io.reactivex.rxjava2:rxkotlin:2.3.0
|    +--- io.reactivex.rxjava2:rxjava:2.2.0 (*)
|    \--- org.jetbrains.kotlin:kotlin-stdlib:1.2.60 -> 1.2.70 (*)
+--- org.greenrobot:eventbus:3.1.1
+--- joda-time:joda-time:2.10
+--- com.squareup:javapoet:1.11.1
+--- androidx.room:room-runtime:2.0.0-rc01
|    +--- androidx.room:room-common:2.0.0-rc01
|    |    \--- androidx.annotation:annotation:1.0.0-rc01 -> 1.0.0-rc02
|    +--- androidx.sqlite:sqlite-framework:2.0.0-rc01
|    |    +--- androidx.annotation:annotation:1.0.0-rc01 -> 1.0.0-rc02
|    |    \--- androidx.sqlite:sqlite:2.0.0-rc01
|    |         \--- androidx.annotation:annotation:1.0.0-rc01 -> 1.0.0-rc02
|    +--- androidx.sqlite:sqlite:2.0.0-rc01 (*)
|    +--- androidx.arch.core:core-runtime:2.0.0-rc01 (*)
|    \--- androidx.legacy:legacy-support-core-utils:1.0.0-rc01 -> 1.0.0-rc02 (*)
+--- androidx.room:room-common:2.0.0-rc01 (*)
+--- androidx.sqlite:sqlite-framework:2.0.0-rc01 (*)
+--- androidx.sqlite:sqlite:2.0.0-rc01 (*)
+--- androidx.room:room-rxjava2:2.0.0-rc01
|    +--- io.reactivex.rxjava2:rxjava:2.0.6 -> 2.2.0 (*)
|    +--- androidx.room:room-common:2.0.0-rc01 (*)
|    +--- androidx.room:room-runtime:2.0.0-rc01 (*)
|    +--- androidx.arch.core:core-runtime:2.0.0-rc01 (*)
|    \--- androidx.legacy:legacy-support-core-utils:1.0.0-rc01 -> 1.0.0-rc02 (*)
+--- com.google.dagger:dagger:2.17
|    \--- javax.inject:javax.inject:1
+--- javax.inject:javax.inject:1
+--- org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.2.70 (*)
+--- project :base
|    +--- androidx.appcompat:appcompat:1.0.0-rc02 (*)
|    +--- android.arch.navigation:navigation-fragment:1.0.0-alpha05 (*)
|    +--- android.arch.navigation:navigation-ui:1.0.0-alpha05 (*)
|    +--- android.arch.navigation:navigation-fragment-ktx:1.0.0-alpha05 (*)
|    +--- android.arch.navigation:navigation-ui-ktx:1.0.0-alpha05 (*)
|    +--- androidx.core:core-ktx:1.0.0-rc02 (*)
|    +--- com.google.android.material:material:1.0.0-rc02 (*)
|    +--- androidx.constraintlayout:constraintlayout:1.1.3 (*)
|    +--- io.reactivex.rxjava2:rxjava:2.2.0 (*)
|    +--- io.reactivex.rxjava2:rxandroid:2.1.0 (*)
|    +--- io.reactivex.rxjava2:rxkotlin:2.3.0 (*)
|    +--- org.greenrobot:eventbus:3.1.1
|    \--- joda-time:joda-time:2.10
+--- com.squareup:javapoet:1.11.1
+--- androidx.room:room-runtime:2.0.0-rc01 (*)
+--- androidx.room:room-rxjava2:2.0.0-rc01 (*)
\--- com.google.dagger:dagger:2.17 (*)

La versión de Gradle es 4.10.1.

He intentado todas las sugerencias de preguntas similares, incluida la eliminación del directorio de cachés de Gradle e Invalidar / Reiniciar, nada ayuda.

UPD. me di cuenta de que la sincronización falla si se presentan estas dos dependencias:

implementation "androidx.room:room-runtime:$room_version"
kapt "androidx.room:room-compiler:$room_version"

¿Qué más debo probar?

3
artem 15 sep. 2018 a las 01:32

5 respuestas

La mejor respuesta

Entonces descubrí que el problema era con Room: usa versiones antiguas de dependencias transitivas.

Lo arreglé forzando versiones de dependencias transitivas:

implementation('androidx.annotation:annotation:1.0.0-rc02') {
    force = true
}

implementation('androidx.legacy:legacy-support-core-utils:1.0.0-rc02') {
    force = true
}

implementation("io.reactivex.rxjava2:rxjava:$rxjava_version") {
    force = true
}
3
artem 15 sep. 2018 a las 14:48

Yo era el mismo problema. así que cuando pongo Dependency en un módulo de biblioteca local como proyecto de implementación (': base') en la parte superior. me gusta

dependencies {

implementation project(':base')

implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"


// Room
implementation "androidx.room:room-runtime:$room_version"

kapt "androidx.room:room-compiler:$room_version"

implementation "androidx.room:room-rxjava2:$room_version"
}

Me funciona Pero no sé por qué sucede esto :)

ACTUALIZACIÓN

Sí, noto que esto se debe a biblioteca de sala persistente de Android para que sea viable, coloque la siguiente línea de dependencias en el archivo del módulo build.gradle

.
.
.
// Test helpers for android support
testImplementation "android.arch.persistence.room:testing:$room_version"
.
.
// Test helpers for androidX
testImplementation "androidx.room:room-testing:$room_version"

Espero que funcione

2
Ramesh Pokharel 17 abr. 2019 a las 10:24

Para mí el problema era esta navegación

   implementation 'androidx.navigation:navigation-fragment:2.1.0'
   implementation 'androidx.navigation:navigation-ui:2.1.0'

Así que las cambié a

   implementation 'androidx.navigation:navigation-fragment:2.0.0'
   implementation 'androidx.navigation:navigation-ui:2.0.0'
2
Bercove 27 oct. 2019 a las 13:16

Recomiendo actualizar tu gradle

Tuve el mismo problema con otra dependencia, la versión predeterminada de Gradle en Android Studio es 4.4 pero recomiendo actualizar a 4.10.1. Pero otra solución es limpiar su proyecto .

El complemento apply: 'kotlin-kapt' es un dolor de cabeza.

El gradle predeterminado es antiguo, las versiones más nuevas son mejores.

Vea este enlace: No se pudo determinar la versión de Java utilizando C: \ Archivos de programa \ Java \ jdk-10.0.1 \ bin \ java.exe ejecutable

1
Aarón Lucker 14 sep. 2018 a las 22:51

He resuelto esos errores. Simplemente aplique una línea a su archivo build.gradle y vuelva a sincronizar. Espero ayudarlos chicos

implementation 'org.jetbrains:annotations:16.0.2' 
0
LOCPT 25 ene. 2019 a las 04:42